# Generated by Django 3.1.7 on 2021-03-13 13:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('api', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='merchandiseremployerbind',
            name='employer',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='merchandiseremployerbind',
            name='merchandiser',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.merchandiser'),
        ),
        migrations.AddField(
            model_name='merchandiser',
            name='employers',
            field=models.ManyToManyField(through='api.MerchandiserEmployerBind', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterUniqueTogether(
            name='merchandiser',
            unique_together={('surname', 'first_name', 'patronymic', 'passport_series', 'passport_number')},
        ),
    ]
